Bug 243169 - Cosmetic: Incorrect Kb vs. KB displaying
Summary: Cosmetic: Incorrect Kb vs. KB displaying
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-07 17:25 UTC by Jan Kratochvil
Modified: 2013-01-10 01:38 UTC (History)
2 users (show)

Fixed In Version: 1.2.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 17:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix implementing the binary notation. (595 bytes, patch)
2007-06-07 17:25 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2007-06-07 17:25:18 UTC
Description of problem:
The reported sizes are confusing, they are about bytes, not bits.
I could no longer withstand watching the broken notation. :-)

Version-Release number of selected component (if applicable):
koji-1.1-1.noarch

How reproducible:
Always.

Steps to Reproduce:
1. koji build --scratch dist-fc7-candidate *.src.rpm

Actual results:
[===================                 ]  55% 00:04:52    7.75 Mb   37.38 Kb/sec

Expected results:
[===================                 ]  55% 00:04:52    7.75 MB   37.38 KB/sec
or even
[===================                 ]  55% 00:04:52    7.75 MiB   37.38 KiB/sec

Additional info:
http://en.wikipedia.org/wiki/Megabyte
  It is commonly abbreviated MB (not to be confused with Mb, which is used for
the megabit).
http://en.wikipedia.org/wiki/Binary_prefix

Comment 1 Jan Kratochvil 2007-06-07 17:25:18 UTC
Created attachment 156491 [details]
Fix implementing the binary notation.

Comment 2 Mike McLean 2007-06-07 17:51:12 UTC
Thanks! Patch applied.

Comment 3 Bug Zapper 2008-04-04 10:59:23 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Mike McLean 2008-04-14 17:57:15 UTC
This patch was applied in Koji in June 2007. The fix made it into koji-1.2.3-1.fc8.

commit sha1 id: 24c410c6bcff2c76fd4c82d5517cc8293ef3de40


Note You need to log in before you can comment on or make changes to this bug.